#define __CTYPE_HAS_8_BIT_LOCALES		1

#define __LOCALE_DATA_Cctype_IDX_SHIFT	3
#define __LOCALE_DATA_Cctype_IDX_LEN		16
#define __LOCALE_DATA_Cctype_ROW_LEN		4
#define __LOCALE_DATA_Cctype_PACKED		1

#define __LOCALE_DATA_Cuplow_IDX_SHIFT	3
#define __LOCALE_DATA_Cuplow_IDX_LEN		16
#define __LOCALE_DATA_Cuplow_ROW_LEN		8

#define __LOCALE_DATA_Cc2wc_IDX_LEN		16
#define __LOCALE_DATA_Cc2wc_IDX_SHIFT		3
#define __LOCALE_DATA_Cc2wc_ROW_LEN		8

typedef struct {
	unsigned char idx8ctype[16];
	unsigned char idx8uplow[16];
	unsigned char idx8c2wc[16];
	unsigned char idx8wc2c[38];
} __codeset_8_bit_t;

#ifdef WANT_DATA

static const __codeset_8_bit_t codeset_8_bit[23] = {
	{ /* ARMSCII-8 */
		/* idx8ctype data */
		{    0,    0,    0,    0,  0x1,  0x2,  0x3,  0x4,
		   0x4,  0x4,  0x4,  0x4,  0x4,  0x4,  0x4,  0x5, },
		/* idx8uplow data */
		{    0,    0,    0,    0,  0x1,  0x2,  0x3,  0x4,
		   0x4,  0x4,  0x4,  0x4,  0x4,  0x4,  0x4,  0x5, },
		/* idx8c2wc data */
		{    0,  0x1,  0x2,  0x3,  0x4,  0x5,  0x6,  0x7,
		   0x8,  0x9,  0xa,  0xb,  0xc,  0xd,  0xe,  0xf, },
		/* idx8wc2c data */
		{    0,  0x1,  0x1,  0x1,  0x1,  0x2,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x3,  0x1,  0x1,  0x1,  0x1,  0x1, }
	},
	{ /* ASCII */
		/* idx8ctype data */
		{  0x6,  0x6,  0x6,  0x6,  0x6,  0x6,  0x6,  0x6,
		   0x6,  0x6,  0x6,  0x6,  0x6,  0x6,  0x6,  0x6, },
		/* idx8uplow data */
		{    0,    0,    0,    0,    0,    0,    0,    0,
		     0,    0,    0,    0,    0,    0,    0,    0, },
		/* idx8c2wc data */
		{ 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10,
		  0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, },
		/* idx8wc2c data */
		{  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1, }
	},
	{ /* CP1251 */
		/* idx8ctype data */
		{  0x7,  0x8,  0x9,  0xa,  0xb,  0xc,  0xd,  0xe,
		   0xf,  0xf,  0xf,  0xf, 0x10, 0x10, 0x10, 0x10, },
		/* idx8uplow data */
		{  0x6,  0x7,  0x8,  0x7,  0x9,  0xa,  0xb,  0xc,
		   0xd,  0xd,  0xd,  0xd,  0xd,  0xd,  0xd,  0xd, },
		/* idx8c2wc data */
		{ 0x11, 0x12, 0x13, 0x14, 0x15, 0x16, 0x17, 0x18,
		  0x19, 0x1a, 0x1b, 0x1c, 0x1d, 0x1e, 0x1f, 0x20, },
		/* idx8wc2c data */
		{  0x4,  0x1,  0x1,  0x1,  0x5,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x6,  0x7,  0x1,  0x1,  0x1,  0x1, }
	},
	{ /* CP1255 */
		/* idx8ctype data */
		{ 0x11, 0x12, 0x13, 0x12,  0x2,  0x2, 0x14,  0x2,
		   0x2, 0x15, 0x16, 0x17, 0x18, 0x18, 0x18, 0x19, },
		/* idx8uplow data */
		{    0,    0,    0,    0,    0,    0,    0,    0,
		     0,    0,    0,    0,    0,    0,    0,    0, },
		/* idx8c2wc data */
		{ 0x21, 0x22, 0x23, 0x24, 0x25, 0x26, 0x27, 0x28,
		  0x29, 0x2a, 0x2b, 0x2c, 0x2d, 0x2e, 0x2f, 0x30, },
		/* idx8wc2c data */
		{  0x8,  0x9,  0xa,  0x1,  0x1,  0xb,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0xc,  0xd,  0x1,  0x1,  0x1,  0x1, }
	},
	{ /* GEORGIAN-PS */
		/* idx8ctype data */
		{ 0x1a, 0x1b, 0x1c, 0x1d,  0x2, 0x1e, 0x14, 0x1e,
		  0x18, 0x18, 0x18, 0x18, 0x1f, 0x10, 0x20, 0x10, },
		/* idx8uplow data */
		{    0,  0xe,    0,  0xf,    0,    0,    0,    0,
		     0,    0,    0,    0,    0,    0,    0, 0x10, },
		/* idx8c2wc data */
		{ 0x31, 0x32, 0x33, 0x34, 0x35, 0x36, 0x27, 0x37,
		  0x38, 0x39, 0x3a, 0x3b, 0x3c, 0x3d, 0x3e, 0x3f, },
		/* idx8wc2c data */
		{  0xe,  0xf,  0xa,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		  0x10,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		  0x11,  0xd,  0x1,  0x1,  0x1,  0x1, }
	},
	{ /* ISO-8859-1 */
		/* idx8ctype data */
		{    0,    0,    0,    0,  0x2, 0x1e, 0x14, 0x1e,
		   0xf,  0xf, 0x21, 0x22, 0x10, 0x10, 0x20, 0x10, },
		/* idx8uplow data */
		{    0,    0,    0,    0,    0,    0,    0,    0,
		   0xd,  0xd, 0x11, 0x11,  0xd,  0xd, 0x11, 0x11, },
		/* idx8c2wc data */
		{    0,  0x1,  0x2,  0x3, 0x35, 0x36, 0x27, 0x37,
		  0x40, 0x41, 0x42, 0x43, 0x44, 0x3d, 0x3e, 0x3f, },
		/* idx8wc2c data */
		{ 0x12,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1, }
	},
	{ /* ISO-8859-10 */
		/* idx8ctype data */
		{    0,    0,    0,    0, 0x23, 0x24, 0x25, 0x26,
		   0xf,  0xf,  0xf, 0x22, 0x10, 0x10, 0x10, 0x27, },
		/* idx8uplow data */
		{    0,    0,    0,    0, 0x12, 0x13, 0x12, 0x13,
		   0xd,  0xd,  0xd, 0x11,  0xd,  0xd,  0xd, 0x11, },
		/* idx8c2wc data */
		{    0,  0x1,  0x2,  0x3, 0x45, 0x46, 0x47, 0x48,
		  0x49, 0x4a, 0x4b, 0x4c, 0x4d, 0x4e, 0x4f, 0x50, },
		/* idx8wc2c data */
		{ 0x13, 0x14,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		  0x15,  0x1,  0x1,  0x1,  0x1,  0x1, }
	},
	{ /* ISO-8859-13 */
		/* idx8ctype data */
		{    0,    0,    0,    0,  0x2,  0xc, 0x14, 0x28,
		   0xf,  0xf, 0x21, 0x22, 0x10, 0x10, 0x20, 0x20, },
		/* idx8uplow data */
		{    0,    0,    0,    0,    0,  0xa,    0,  0xa,
		   0xd,  0xd, 0x11, 0x11,  0xd,  0xd, 0x11, 0x11, },
		/* idx8c2wc data */
		{    0,  0x1,  0x2,  0x3, 0x51, 0x52, 0x53, 0x54,
		  0x55, 0x56, 0x57, 0x58, 0x59, 0x5a, 0x5b, 0x5c, },
		/* idx8wc2c data */
		{ 0x16, 0x17,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		  0x18,  0x1,  0x1,  0x1,  0x1,  0x1, }
	},
	{ /* ISO-8859-14 */
		/* idx8ctype data */
		{    0,    0,    0,    0, 0x29, 0x2a, 0x2b, 0x2c,
		   0xf,  0xf,  0xf, 0x22, 0x10, 0x10, 0x10, 0x10, },
		/* idx8uplow data */
		{    0,    0,    0,    0, 0x14, 0x15, 0x16, 0x17,
		   0xd,  0xd,  0xd, 0x11,  0xd,  0xd,  0xd, 0x18, },
		/* idx8c2wc data */
		{    0,  0x1,  0x2,  0x3, 0x5d, 0x5e, 0x5f, 0x60,
		  0x40, 0x41, 0x61, 0x62, 0x44, 0x3d, 0x63, 0x64, },
		/* idx8wc2c data */
		{ 0x19, 0x1a,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1, 0x1b,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1, }
	},
	{ /* ISO-8859-15 */
		/* idx8ctype data */
		{    0,    0,    0,    0, 0x2d, 0x2e, 0x2f, 0x30,
		   0xf,  0xf, 0x21, 0x22, 0x10, 0x10, 0x20, 0x10, },
		/* idx8uplow data */
		{    0,    0,    0,    0, 0x19, 0x1a, 0x1b, 0x1c,
		   0xd,  0xd, 0x11, 0x11,  0xd,  0xd, 0x11, 0x1d, },
		/* idx8c2wc data */
		{    0,  0x1,  0x2,  0x3, 0x65, 0x66, 0x67, 0x68,
		  0x40, 0x41, 0x42, 0x43, 0x44, 0x3d, 0x3e, 0x3f, },
		/* idx8wc2c data */
		{ 0x1c, 0x1d,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		  0x1e,  0x1,  0x1,  0x1,  0x1,  0x1, }
	},
	{ /* ISO-8859-16 */
		/* idx8ctype data */
		{    0,    0,    0,    0, 0x31, 0x32, 0x33, 0x34,
		   0xf,  0xf,  0xf, 0x22, 0x10, 0x10, 0x10, 0x10, },
		/* idx8uplow data */
		{    0,    0,    0,    0, 0x1e, 0x1f, 0x20, 0x21,
		   0xd,  0xd,  0xd, 0x11,  0xd,  0xd,  0xd, 0x1d, },
		/* idx8c2wc data */
		{    0,  0x1,  0x2,  0x3, 0x69, 0x6a, 0x6b, 0x6c,
		  0x6d, 0x41, 0x6e, 0x6f, 0x70, 0x3d, 0x71, 0x72, },
		/* idx8wc2c data */
		{ 0x1f, 0x20, 0x21,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		  0x22,  0x1,  0x1,  0x1,  0x1,  0x1, }
	},
	{ /* ISO-8859-2 */
		/* idx8ctype data */
		{    0,    0,    0,    0, 0x35, 0x36, 0x37, 0x38,
		   0xf,  0xf, 0x21, 0x22, 0x10, 0x10, 0x20, 0x20, },
		/* idx8uplow data */
		{    0,    0,    0,    0, 0x22, 0x23, 0x22, 0x23,
		   0xd,  0xd, 0x11, 0x11,  0xd,  0xd, 0x11, 0x11, },
		/* idx8c2wc data */
		{    0,  0x1,  0x2,  0x3, 0x73, 0x74, 0x75, 0x76,
		  0x77, 0x78, 0x79, 0x7a, 0x7b, 0x7c, 0x7d, 0x7e, },
		/* idx8wc2c data */
		{ 0x23, 0x24, 0x25,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1, }
	},
	{ /* ISO-8859-3 */
		/* idx8ctype data */
		{    0,    0,    0,    0, 0x39, 0x3a, 0x3b, 0x3c,
		  0x3d,  0xf, 0x3e, 0x22, 0x3f, 0x10, 0x40, 0x20, },
		/* idx8uplow data */
		{    0,    0,    0,    0, 0x24, 0x25, 0x24, 0x26,
		  0x27,  0xd, 0x28, 0x11, 0x27,  0xd, 0x28, 0x11, },
		/* idx8c2wc data */
		{    0,  0x1,  0x2,  0x3, 0x7f, 0x80, 0x81, 0x82,
		  0x83, 0x41, 0x84, 0x85, 0x86, 0x3d, 0x87, 0x88, },
		/* idx8wc2c data */
		{ 0x26, 0x27, 0x28,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1, }
	},
	{ /* ISO-8859-4 */
		/* idx8ctype data */
		{    0,    0,    0,    0, 0x41, 0x42, 0x37, 0x43,
		   0xf,  0xf, 0x21, 0x22, 0x10, 0x10, 0x20, 0x20, },
		/* idx8uplow data */
		{    0,    0,    0,    0, 0x22, 0x29, 0x22, 0x2a,
		   0xd,  0xd, 0x11, 0x11,  0xd,  0xd, 0x11, 0x11, },
		/* idx8c2wc data */
		{    0,  0x1,  0x2,  0x3, 0x89, 0x8a, 0x8b, 0x8c,
		  0x49, 0x8d, 0x8e, 0x8f, 0x4d, 0x90, 0x91, 0x92, },
		/* idx8wc2c data */
		{ 0x29, 0x2a, 0x2b,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1, }
	},
	{ /* ISO-8859-5 */
		/* idx8ctype data */
		{    0,    0,    0,    0, 0x44, 0x24,  0xf,  0xf,
		   0xf,  0xf, 0x10, 0x10, 0x10, 0x10, 0x45, 0x26, },
		/* idx8uplow data */
		{    0,    0,    0,    0, 0x2b, 0x2c,  0xd,  0xd,
		   0xd,  0xd,  0xd,  0xd,  0xd,  0xd, 0x2b, 0x2c, },
		/* idx8c2wc data */
		{    0,  0x1,  0x2,  0x3, 0x93, 0x94, 0x19, 0x1a,
		  0x1b, 0x1c, 0x1d, 0x1e, 0x1f, 0x20, 0x95, 0x96, },
		/* idx8wc2c data */
		{ 0x2c,  0x1,  0x1,  0x1, 0x2d,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1, 0x2e,  0x1,  0x1,  0x1,  0x1, }
	},
	{ /* ISO-8859-6 */
		/* idx8ctype data */
		{    0,    0,    0,    0, 0x46, 0x47,  0x6, 0x48,
		  0x49, 0x18, 0x18, 0x4a, 0x18, 0x4b, 0x4c,  0x6, },
		/* idx8uplow data */
		{    0,    0,    0,    0,    0,    0,    0,    0,
		     0,    0,    0,    0,    0,    0,    0,    0, },
		/* idx8c2wc data */
		{    0,  0x1,  0x2,  0x3, 0x97, 0x98, 0x10, 0x99,
		  0x9a, 0x9b, 0x9c, 0x9d, 0x9e, 0x9f, 0xa0, 0x10, },
		/* idx8wc2c data */
		{ 0x2f,  0x1,  0x1,  0x1,  0x1,  0x1, 0x30,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1, }
	},
	{ /* ISO-8859-7 */
		/* idx8ctype data */
		{    0,    0,    0,    0, 0x4d, 0x4e, 0x2d, 0x4f,
		  0x50,  0xf, 0x51, 0x52, 0x53, 0x10, 0x10, 0x54, },
		/* idx8uplow data */
		{    0,    0,    0,    0,    0,    0, 0x2d, 0x2e,
		  0x2f,  0xd, 0x30, 0x31, 0x2f,  0xd, 0x32, 0x33, },
		/* idx8c2wc data */
		{    0,  0x1,  0x2,  0x3, 0xa1, 0xa2, 0xa3, 0xa4,
		  0xa5, 0xa6, 0xa7, 0xa8, 0xa9, 0xaa, 0xab, 0xac, },
		/* idx8wc2c data */
		{ 0x31,  0x1,  0x1, 0x32,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		  0x33,  0x1,  0x1,  0x1,  0x1,  0x1, }
	},
	{ /* ISO-8859-8 */
		/* idx8ctype data */
		{    0,    0,    0,    0, 0x55,  0x2, 0x14, 0x56,
		   0x6,  0x6,  0x6, 0x57, 0x18, 0x18, 0x18, 0x19, },
		/* idx8uplow data */
		{    0,    0,    0,    0,    0,    0,    0,    0,
		     0,    0,    0,    0,    0,    0,    0,    0, },
		/* idx8c2wc data */
		{    0,  0x1,  0x2,  0x3, 0xad, 0x26, 0x27, 0xae,
		  0x10, 0x10, 0x10, 0xaf, 0x2d, 0x2e, 0x2f, 0x30, },
		/* idx8wc2c data */
		{ 0x34,  0x1,  0x1,  0x1,  0x1, 0x35,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		  0x36,  0x1,  0x1,  0x1,  0x1,  0x1, }
	},
	{ /* ISO-8859-9 */
		/* idx8ctype data */
		{    0,    0,    0,    0,  0x2, 0x1e, 0x14, 0x1e,
		   0xf,  0xf, 0x21, 0x22, 0x10, 0x10, 0x20, 0x10, },
		/* idx8uplow data */
		{    0,    0,    0,    0,    0,    0,    0,    0,
		   0xd,  0xd, 0x11, 0x34,  0xd,  0xd, 0x11, 0x35, },
		/* idx8c2wc data */
		{    0,  0x1,  0x2,  0x3, 0x35, 0x36, 0x27, 0x37,
		  0x40, 0x41, 0xb0, 0xb1, 0x44, 0x3d, 0xb2, 0xb3, },
		/* idx8wc2c data */
		{ 0x37, 0x38,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1, }
	},
	{ /* KOI8-R */
		/* idx8ctype data */
		{  0x2,  0x2,  0x2,  0x2, 0x58,  0x2, 0x59,  0x2,
		  0x10, 0x10, 0x10, 0x10,  0xf,  0xf,  0xf,  0xf, },
		/* idx8uplow data */
		{    0,    0,    0,    0, 0x36,    0, 0x36,    0,
		  0x37, 0x37, 0x37, 0x37, 0x37, 0x37, 0x37, 0x37, },
		/* idx8c2wc data */
		{ 0xb4, 0xb5, 0xb6, 0xb7, 0xb8, 0xb9, 0xba, 0xbb,
		  0xbc, 0xbd, 0xbe, 0xbf, 0xc0, 0xc1, 0xc2, 0xc3, },
		/* idx8wc2c data */
		{ 0x39,  0x1,  0x1,  0x1, 0x3a,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1, 0x3b, 0x3c,  0x1, 0x3d, }
	},
	{ /* KOI8-T */
		/* idx8ctype data */
		{ 0x5a, 0x5b, 0x5c, 0x5d, 0x5e, 0x5f, 0x60, 0x61,
		  0x10, 0x10, 0x10, 0x10,  0xf,  0xf,  0xf,  0xf, },
		/* idx8uplow data */
		{ 0x38, 0x39, 0x3a,    0, 0x3b,    0, 0x3c,    0,
		  0x37, 0x37, 0x37, 0x37, 0x37, 0x37, 0x37, 0x37, },
		/* idx8c2wc data */
		{ 0xc4, 0xc5, 0xc6, 0xc7, 0xc8, 0xc9, 0xca, 0xcb,
		  0xbc, 0xbd, 0xbe, 0xbf, 0xc0, 0xc1, 0xc2, 0xc3, },
		/* idx8wc2c data */
		{ 0x3e,  0x1,  0x1,  0x1, 0x3f,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		  0x11,  0x7,  0x1,  0x1,  0x1,  0x1, }
	},
	{ /* KOI8-U */
		/* idx8ctype data */
		{  0x2,  0x2,  0x2,  0x2, 0x62, 0x14, 0x63, 0x64,
		  0x10, 0x10, 0x10, 0x10,  0xf,  0xf,  0xf,  0xf, },
		/* idx8uplow data */
		{    0,    0,    0,    0, 0x3d, 0x3e, 0x3d, 0x3e,
		  0x37, 0x37, 0x37, 0x37, 0x37, 0x37, 0x37, 0x37, },
		/* idx8c2wc data */
		{ 0xb4, 0xb5, 0xb6, 0xb7, 0xcc, 0xcd, 0xce, 0xcf,
		  0xbc, 0xbd, 0xbe, 0xbf, 0xc0, 0xc1, 0xc2, 0xc3, },
		/* idx8wc2c data */
		{ 0x39,  0x1,  0x1,  0x1, 0x40,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1, 0x3b, 0x3c,  0x1, 0x41, }
	},
	{ /* TIS-620 */
		/* idx8ctype data */
		{  0x6,  0x6,  0x6,  0x6, 0x49, 0x18, 0x18, 0x18,
		  0x18, 0x65, 0x18, 0x66, 0x67, 0x65, 0x18, 0x68, },
		/* idx8uplow data */
		{    0,    0,    0,    0,    0,    0,    0,    0,
		     0,    0,    0,    0,    0,    0,    0,    0, },
		/* idx8c2wc data */
		{ 0x10, 0x10, 0x10, 0x10, 0xd0, 0xd1, 0xd2, 0xd3,
		  0xd4, 0xd5, 0xd6, 0xd7, 0xd8, 0xd9, 0xda, 0xdb, },
		/* idx8wc2c data */
		{  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1, 0x42,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,  0x1,
		   0x1,  0x1,  0x1,  0x1,  0x1,  0x1, }
	},
};

#endif /* WANT_DATA */

#define __LOCALE_DATA_Cwc2c_DOMAIN_MAX	0x25ff
#define __LOCALE_DATA_Cwc2c_TI_SHIFT		4
#define __LOCALE_DATA_Cwc2c_TT_SHIFT		4
#define __LOCALE_DATA_Cwc2c_II_LEN		38
#define __LOCALE_DATA_Cwc2c_TI_LEN		1072
#define __LOCALE_DATA_Cwc2c_TT_LEN		3456


#define __LOCALE_DATA_Cwc2c_TBL_LEN		4528
#ifdef WANT_DATA

static const unsigned char __LOCALE_DATA_Cwc2c_data[4528] = {
	/* ti_table */
	    0,    0,  0x1,    0,    0,    0,    0,    0,
	  0x2,  0x3,  0x4,  0x5,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,  0x6,  0x7,  0x8,  0x9,  0xa,
	  0xb,    0,    0,    0,    0,    0,    0,    0,
	    0,  0xc,  0xd,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,  0xe,  0xf,    0,    0,    0,    0,
	 0x10, 0x11, 0x12, 0x13, 0x14, 0x15,    0,    0,
	    0, 0x16,    0,    0,    0,    0,    0,    0,
	    0, 0x17, 0x18, 0x19,    0,    0,    0,    0,
	    0,    0, 0x1a,    0,    0,    0,    0,    0,
	    0, 0x1b, 0x1c,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0, 0x1d, 0x1e,    0, 0x1f,    0, 0x20,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0, 0x21,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0, 0x22, 0x23,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0, 0x24, 0x25, 0x13, 0x26, 0x27,
	 0x28, 0x17, 0x18, 0x19,    0,    0,    0,    0,
	    0,    0, 0x29,    0,    0,    0,    0,    0,
	    0,    0, 0x1c,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0x2a, 0x2b, 0x2c, 0x2d,    0,    0, 0x2e, 0x14,
	    0,    0,    0,    0,    0, 0x2f, 0x30, 0x31,
	    0, 0x21,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0, 0x32, 0x33, 0x34,
	    0, 0x17, 0x18, 0x19,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	  0x2,  0x3, 0x2c, 0x2d, 0x11, 0x12, 0x13, 0x14,
	    0,    0,    0,    0,    0,    0,    0,    0,
	  0x2,  0x3, 0x35, 0x36, 0x37, 0x38, 0x39, 0x3a,
	 0x3b, 0x3c, 0x3d, 0x3e, 0x3f,    0, 0x40, 0x41,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0, 0x42,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	  0x2,  0x3, 0x43, 0x44, 0x45, 0x46, 0x47, 0x48,
	 0x49, 0x4a, 0x4b, 0x4c, 0x4d, 0x4e, 0x4f, 0x50,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0, 0x51,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	  0x2,  0x3, 0x52, 0x53, 0x11, 0x54, 0x13, 0x55,
	 0x56,    0, 0x57,    0,    0,    0,    0, 0x58,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0x59, 0x5a,    0,    0, 0x5b, 0x5c, 0x5d,    0,
	 0x5e,    0,    0,    0,    0,    0,    0, 0x5f,
	    0,    0,    0,    0,    0,    0,    0,    0,
	  0x2,  0x3, 0x60, 0x61, 0x11, 0x12, 0x13, 0x14,
	    0,    0,    0,    0,    0, 0x62, 0x63, 0x64,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0, 0x65,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	  0x2,  0x3, 0x66, 0x67, 0x68, 0x69, 0x6a, 0x6b,
	 0x6c, 0x6d,    0,    0, 0x6e, 0x6f, 0x63, 0x70,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0, 0x71,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0, 0x72,    0,    0,    0,    0,    0,    0,
	    0,    0, 0x65,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	  0x2,  0x3, 0x73, 0x74, 0x75, 0x76, 0x77, 0x78,
	 0x79, 0x7a,    0, 0x7b, 0x7c, 0x7d, 0x7e, 0x7f,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0, 0x80, 0x81,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	  0x2,  0x3, 0x82, 0x83, 0x84, 0x85, 0x86, 0x87,
	 0x88, 0x89, 0x8a, 0x8b,    0, 0x8c, 0x8d, 0x8e,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0, 0x8f,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	  0x2,  0x3, 0x90, 0x74, 0x91, 0x92, 0x93, 0x94,
	 0x3b, 0x95, 0x96, 0x97, 0x98, 0x99, 0x9a, 0x9b,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0, 0x80, 0x9c,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	  0x2,  0x3, 0x9d,    0,    0,    0,    0,    0,
	 0x9e, 0x2d, 0x11, 0x12, 0x13, 0x9f,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0, 0xa0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	  0x2,  0x3, 0xa1,    0,    0,    0,    0,    0,
	 0xa2, 0xa3, 0xa4, 0xa5, 0x13, 0xa6,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	  0x2,  0x3, 0xa7, 0xa8,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0xa9, 0x11, 0xaa, 0x13, 0xab,    0,    0,    0,
	    0, 0xac,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	  0x2,  0x3, 0xad, 0xae,    0, 0x1f,    0, 0x20,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0, 0x13, 0x26,    0,
	 0x28, 0xaf,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	  0x2,  0x3, 0x2c, 0x2d, 0x11, 0xb0, 0x13, 0xb1,
	    0, 0xb2,    0, 0xb3,    0, 0xb4,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0, 0xb5, 0xb6,    0,    0,    0, 0xb7,
	 0xb8, 0xb9, 0xba, 0xbb, 0xbc, 0xbd,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0, 0xbe,    0,    0, 0xbf,    0, 0xc0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0, 0xc1,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0xc2, 0xc3, 0xc4, 0xc5,    0, 0xc6, 0xc7,    0,
	 0xc8, 0xc9, 0xca,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0, 0xcb, 0xcc,    0,    0,    0,    0,
	 0xb8, 0xb9, 0xba, 0xbb, 0xbc, 0xbd,    0,    0,
	    0, 0xcd,    0, 0xce,    0,    0, 0xcf,    0,
	 0xd0, 0xb9, 0xba, 0xbb, 0xbc, 0xd1,    0,    0,
	    0, 0xd2,    0,    0,    0,    0,    0,    0,
	 0xc2, 0xc3, 0xc4, 0xc5,    0, 0xd3, 0xd4,    0,
	 0xc8, 0xc9, 0xca,    0,    0,    0,    0,    0,
	 0xd5, 0x2d, 0x11, 0xd6, 0x13, 0xd7,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	/* tt_table */
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0xa5, 0xa4,    0,    0, 0xab, 0xac, 0xa9,    0,
	 0x80, 0x81, 0x82, 0x83, 0x84, 0x85, 0x86, 0x87,
	 0x88, 0x89, 0x8a, 0x8b, 0x8c, 0x8d, 0x8e, 0x8f,
	 0x90, 0x91, 0x92, 0x93, 0x94, 0x95, 0x96, 0x97,
	 0x98, 0x99, 0x9a, 0x9b, 0x9c, 0x9d, 0x9e, 0x9f,
	 0xa0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0, 0xa7,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0, 0xa6,    0,    0,    0,    0,
	    0, 0xb2, 0xb4, 0xb6, 0xb8, 0xba, 0xbc, 0xbe,
	 0xc0, 0xc2, 0xc4, 0xc6, 0xc8, 0xca, 0xcc, 0xce,
	 0xd0, 0xd2, 0xd4, 0xd6, 0xd8, 0xda, 0xdc, 0xde,
	 0xe0, 0xe2, 0xe4, 0xe6, 0xe8, 0xea, 0xec, 0xee,
	 0xf0, 0xf2, 0xf4, 0xf6, 0xf8, 0xfa, 0xfc,    0,
	    0,    0, 0xfe, 0xb0, 0xaf, 0xaa, 0xb1,    0,
	    0, 0xb3, 0xb5, 0xb7, 0xb9, 0xbb, 0xbd, 0xbf,
	 0xc1, 0xc3, 0xc5, 0xc7, 0xc9, 0xcb, 0xcd, 0xcf,
	 0xd1, 0xd3, 0xd5, 0xd7, 0xd9, 0xdb, 0xdd, 0xdf,
	 0xe1, 0xe3, 0xe5, 0xe7, 0xe9, 0xeb, 0xed, 0xef,
	 0xf1, 0xf3, 0xf5, 0xf7, 0xf9, 0xfb, 0xfd, 0xa2,
	    0, 0xa3, 0xad,    0,    0,    0,    0,    0,
	    0,    0,    0,    0, 0xa8,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0, 0xae,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0xa0,    0,    0,    0, 0xa4,    0, 0xa6, 0xa7,
	    0, 0xa9,    0, 0xab, 0xac, 0xad, 0xae,    0,
	 0xb0, 0xb1,    0,    0,    0, 0xb5, 0xb6, 0xb7,
	    0,    0,    0, 0xbb,    0,    0,    0,    0,
	    0, 0xa8, 0x80, 0x81, 0xaa, 0xbd, 0xb2, 0xaf,
	 0xa3, 0x8a, 0x8c, 0x8e, 0x8d,    0, 0xa1, 0x8f,
	 0xc0, 0xc1, 0xc2, 0xc3, 0xc4, 0xc5, 0xc6, 0xc7,
	 0xc8, 0xc9, 0xca, 0xcb, 0xcc, 0xcd, 0xce, 0xcf,
	 0xd0, 0xd1, 0xd2, 0xd3, 0xd4, 0xd5, 0xd6, 0xd7,
	 0xd8, 0xd9, 0xda, 0xdb, 0xdc, 0xdd, 0xde, 0xdf,
	 0xe0, 0xe1, 0xe2, 0xe3, 0xe4, 0xe5, 0xe6, 0xe7,
	 0xe8, 0xe9, 0xea, 0xeb, 0xec, 0xed, 0xee, 0xef,
	 0xf0, 0xf1, 0xf2, 0xf3, 0xf4, 0xf5, 0xf6, 0xf7,
	 0xf8, 0xf9, 0xfa, 0xfb, 0xfc, 0xfd, 0xfe, 0xff,
	    0, 0xb8, 0x90, 0x83, 0xba, 0xbe, 0xb3, 0xbf,
	 0xbc, 0x9a, 0x9c, 0x9e, 0x9d,    0, 0xa2, 0x9f,
	 0xa5, 0xb4,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0, 0x96, 0x97,    0,    0,    0,
	 0x91, 0x92, 0x82,    0, 0x93, 0x94, 0x84,    0,
	 0x86, 0x87, 0x95,    0,    0,    0, 0x85,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0x89,    0,    0,    0,    0,    0,    0,    0,
	    0, 0x8b, 0x9b,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0, 0x88,    0,    0,    0,
	    0,    0,    0,    0,    0,    0, 0xb9,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0, 0x99,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0xa0, 0xa1, 0xa2, 0xa3,    0, 0xa5, 0xa6, 0xa7,
	 0xa8, 0xa9,    0, 0xab, 0xac, 0xad, 0xae, 0xaf,
	 0xb0, 0xb1, 0xb2, 0xb3, 0xb4, 0xb5, 0xb6, 0xb7,
	 0xb8, 0xb9,    0, 0xbb, 0xbc, 0xbd, 0xbe, 0xbf,
	    0,    0,    0,    0,    0,    0,    0, 0xaa,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0, 0xba,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0, 0x83,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0, 0x88,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0, 0x98,    0,    0,    0,
	 0xc0, 0xc1, 0xc2, 0xc3, 0xc4, 0xc5, 0xc6, 0xc7,
	 0xc8, 0xc9,    0, 0xcb, 0xcc, 0xcd, 0xce, 0xcf,
	 0xd0, 0xd1, 0xd2, 0xd3,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0xf0, 0xf1, 0xf2, 0xf3, 0xf4, 0xf5, 0xf6, 0xf7,
	 0xf8, 0xf9, 0xfa,    0,    0,    0,    0,    0,
	 0xd4, 0xd5, 0xd6, 0xd7, 0xd8,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0, 0xfd, 0xfe,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0, 0xa4,    0, 0x80,    0,    0,    0,
	 0x80, 0x81,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0, 0x8d, 0x8e, 0x8f,
	 0x90,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0, 0x9d, 0x9e,    0,
	 0xa0, 0xa1, 0xa2, 0xa3, 0xa4, 0xa5, 0xa6, 0xa7,
	 0xa8, 0xa9, 0xaa, 0xab, 0xac, 0xad, 0xae, 0xaf,
	 0xb0, 0xb1, 0xb2, 0xb3, 0xb4, 0xb5, 0xb6, 0xb7,
	 0xb8, 0xb9, 0xba, 0xbb, 0xbc, 0xbd, 0xbe, 0xbf,
	    0,    0,    0,    0,    0,    0, 0xe6, 0xe7,
	 0xe8, 0xe9, 0xea, 0xeb, 0xec, 0xed, 0xee, 0xef,
	    0,    0, 0x8c, 0x9c,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0x8a, 0x9a,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0x9f,    0,    0,    0,    0,    0,    0,    0,
	 0xc0, 0xc1, 0xc2, 0xc3, 0xc4, 0xc5, 0xc6, 0xc8,
	 0xc9, 0xca, 0xcb, 0xcc, 0xcd, 0xcf, 0xd0, 0xd1,
	 0xd2, 0xd3, 0xd4, 0xd6, 0xd7, 0xd8, 0xd9, 0xda,
	 0xdb, 0xdc, 0xdd, 0xde, 0xdf, 0xe0, 0xe1, 0xe3,
	 0xe4, 0xc7, 0xce, 0xd5, 0xe2, 0xe5,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0xa0,    0,    0,    0,    0,    0,    0, 0xa7,
	    0,    0,    0,    0,    0, 0xad,    0,    0,
	 0xb0,    0,    0,    0,    0,    0,    0, 0xb7,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0, 0xc1, 0xc2, 0xc3, 0xc4, 0xc5, 0xc6,    0,
	    0, 0xc9,    0, 0xcb,    0, 0xcd, 0xce, 0xcf,
	 0xd0,    0,    0, 0xd3, 0xd4, 0xd5, 0xd6,    0,
	 0xd8,    0, 0xda, 0xdb, 0xdc, 0xdd, 0xde, 0xdf,
	    0, 0xe1, 0xe2, 0xe3, 0xe4, 0xe5, 0xe6,    0,
	    0, 0xe9,    0, 0xeb,    0, 0xed, 0xee, 0xef,
	 0xf0,    0,    0, 0xf3, 0xf4, 0xf5, 0xf6,    0,
	 0xf8,    0, 0xfa, 0xfb, 0xfc, 0xfd, 0xfe,    0,
	 0xc0, 0xe0,    0,    0, 0xa1, 0xb1,    0,    0,
	    0,    0,    0,    0, 0xc8, 0xe8,    0,    0,
	 0xa9, 0xb9, 0xa2, 0xb2,    0,    0, 0xcc, 0xec,
	 0xca, 0xea,    0,    0,    0,    0,    0,    0,
	    0,    0, 0xa3, 0xb3,    0,    0,    0,    0,
	 0xa5, 0xb5, 0xa4, 0xb4,    0,    0, 0xc7, 0xe7,
	    0,    0,    0,    0,    0,    0, 0xa6, 0xb6,
	 0xff,    0,    0, 0xa8, 0xb8,    0,    0,    0,
	    0,    0,    0,    0,    0, 0xd1, 0xf1,    0,
	    0,    0, 0xaf, 0xbf, 0xd2, 0xf2,    0,    0,
	 0xaa, 0xba,    0,    0,    0,    0, 0xab, 0xbb,
	 0xd7, 0xf7, 0xae, 0xbe,    0,    0,    0,    0,
	    0,    0, 0xd9, 0xf9,    0,    0,    0,    0,
	    0,    0,    0,    0,    0, 0xac, 0xbc,    0,
	    0,    0,    0,    0,    0, 0xbd,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0xa0,    0, 0xa2, 0xa3, 0xa4,    0, 0xa6, 0xa7,
	    0, 0xa9,    0, 0xab, 0xac, 0xad, 0xae,    0,
	 0xb0, 0xb1, 0xb2, 0xb3,    0, 0xb5, 0xb6, 0xb7,
	    0, 0xb9,    0, 0xbb, 0xbc, 0xbd, 0xbe,    0,
	    0,    0,    0,    0, 0xc4, 0xc5, 0xaf,    0,
	    0, 0xc9,    0,    0,    0,    0,    0,    0,
	    0,    0,    0, 0xd3,    0, 0xd5, 0xd6, 0xd7,
	 0xa8,    0,    0,    0, 0xdc,    0,    0, 0xdf,
	    0,    0,    0,    0, 0xe4, 0xe5, 0xbf,    0,
	    0, 0xe9,    0,    0,    0,    0,    0,    0,
	    0,    0,    0, 0xf3,    0, 0xf5, 0xf6, 0xf7,
	 0xb8,    0,    0,    0, 0xfc,    0,    0,    0,
	 0xc2, 0xe2,    0,    0, 0xc0, 0xe0, 0xc3, 0xe3,
	    0,    0,    0,    0, 0xc8, 0xe8,    0,    0,
	    0,    0, 0xc7, 0xe7,    0,    0, 0xcb, 0xeb,
	 0xc6, 0xe6,    0,    0,    0,    0,    0,    0,
	    0,    0, 0xcc, 0xec,    0,    0,    0,    0,
	    0,    0, 0xce, 0xee,    0,    0, 0xc1, 0xe1,
	    0,    0,    0,    0,    0,    0, 0xcd, 0xed,
	    0,    0,    0, 0xcf, 0xef,    0,    0,    0,
	    0, 0xd9, 0xf9, 0xd1, 0xf1, 0xd2, 0xf2,    0,
	    0,    0,    0,    0, 0xd4, 0xf4,    0,    0,
	    0,    0,    0,    0,    0,    0, 0xaa, 0xba,
	    0,    0, 0xda, 0xfa,    0,    0,    0,    0,
	 0xd0, 0xf0,    0,    0,    0,    0,    0,    0,
	    0,    0, 0xdb, 0xfb,    0,    0,    0,    0,
	    0,    0, 0xd8, 0xf8,    0,    0,    0,    0,
	    0, 0xca, 0xea, 0xdd, 0xfd, 0xde, 0xfe,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0, 0xff,    0,    0, 0xb4, 0xa1, 0xa5,    0,
	 0xa0,    0,    0, 0xa3,    0,    0,    0, 0xa7,
	    0, 0xa9,    0,    0,    0, 0xad, 0xae,    0,
	    0,    0,    0,    0,    0,    0, 0xb6,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0, 0xd1, 0xd2, 0xd3, 0xd4, 0xd5, 0xd6,    0,
	 0xd8, 0xd9, 0xda, 0xdb, 0xdc, 0xdd,    0, 0xdf,
	    0, 0xf1, 0xf2, 0xf3, 0xf4, 0xf5, 0xf6,    0,
	 0xf8, 0xf9, 0xfa, 0xfb, 0xfc, 0xfd,    0, 0xff,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0, 0xa4, 0xa5,    0,    0,    0,    0,
	 0xb2, 0xb3,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0, 0xd0, 0xf0, 0xde, 0xfe,
	 0xaf,    0,    0,    0,    0,    0,    0,    0,
	    0,    0, 0xa1, 0xa2,    0,    0,    0,    0,
	    0,    0, 0xa6, 0xab,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0, 0xb0, 0xb1,
	 0xb4, 0xb5,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0, 0xb7, 0xb9,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0xbb, 0xbf,    0,    0,    0,    0,    0,    0,
	    0,    0, 0xd7, 0xf7,    0,    0,    0,    0,
	 0xa8, 0xb8, 0xaa, 0xba, 0xbd, 0xbe,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0, 0xac, 0xbc,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0xa0, 0xa1, 0xa2, 0xa3,    0, 0xa5,    0, 0xa7,
	    0, 0xa9, 0xaa, 0xab, 0xac, 0xad, 0xae, 0xaf,
	 0xb0, 0xb1, 0xb2, 0xb3,    0, 0xb5, 0xb6, 0xb7,
	    0, 0xb9, 0xba, 0xbb,    0,    0,    0, 0xbf,
	    0,    0, 0xbc, 0xbd,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0xa6, 0xa8,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0xbe,    0,    0,    0,    0, 0xb4, 0xb8,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0, 0xa4,    0,    0,    0,
	 0xa0,    0,    0,    0,    0,    0,    0, 0xa7,
	    0, 0xa9,    0, 0xa5,    0, 0xad,    0,    0,
	 0xb0, 0xb1,    0,    0,    0,    0, 0xb6, 0xb7,
	    0,    0,    0, 0xbb,    0,    0,    0,    0,
	 0xc0, 0xc1, 0xc2,    0, 0xc4,    0, 0xc6, 0xc7,
	 0xc8, 0xc9, 0xca, 0xcb, 0xcc, 0xcd, 0xce, 0xcf,
	    0,    0, 0xd2, 0xd3, 0xd4,    0, 0xd6,    0,
	    0, 0xd9, 0xda, 0xdb, 0xdc,    0,    0, 0xdf,
	 0xe0, 0xe1, 0xe2,    0, 0xe4,    0, 0xe6, 0xe7,
	 0xe8, 0xe9, 0xea, 0xeb, 0xec, 0xed, 0xee, 0xef,
	    0,    0, 0xf2, 0xf3, 0xf4,    0, 0xf6,    0,
	    0, 0xf9, 0xfa, 0xfb, 0xfc,    0,    0, 0xff,
	    0,    0, 0xc3, 0xe3, 0xa1, 0xa2, 0xc5, 0xe5,
	    0,    0,    0,    0, 0xb2, 0xb9,    0,    0,
	 0xd0, 0xf0,    0,    0,    0,    0,    0,    0,
	 0xdd, 0xfd,    0,    0,    0,    0,    0,    0,
	    0, 0xa3, 0xb3, 0xd1, 0xf1,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0xd5, 0xf5, 0xbc, 0xbd,    0,    0,    0,    0,
	    0,    0, 0xd7, 0xf7,    0,    0,    0,    0,
	 0xd8, 0xf8,    0,    0,    0,    0,    0,    0,
	 0xbe, 0xac, 0xae, 0xaf, 0xbf, 0xb4, 0xb8,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0xaa, 0xba, 0xde, 0xfe,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0, 0xb5, 0xab,    0,
	 0xa0,    0,    0,    0, 0xa4,    0,    0, 0xa7,
	 0xa8,    0,    0,    0,    0, 0xad,    0,    0,
	 0xb0,    0,    0,    0, 0xb4,    0,    0,    0,
	 0xb8,    0,    0,    0,    0,    0,    0,    0,
	    0, 0xc1, 0xc2,    0, 0xc4,    0,    0, 0xc7,
	    0, 0xc9,    0, 0xcb,    0, 0xcd, 0xce,    0,
	    0,    0,    0, 0xd3, 0xd4,    0, 0xd6, 0xd7,
	    0,    0, 0xda,    0, 0xdc, 0xdd,    0, 0xdf,
	    0, 0xe1, 0xe2,    0, 0xe4,    0,    0, 0xe7,
	    0, 0xe9,    0, 0xeb,    0, 0xed, 0xee,    0,
	    0,    0,    0, 0xf3, 0xf4,    0, 0xf6, 0xf7,
	    0,    0, 0xfa,    0, 0xfc, 0xfd,    0,    0,
	    0,    0, 0xc3, 0xe3, 0xa1, 0xb1, 0xc6, 0xe6,
	    0,    0,    0,    0, 0xc8, 0xe8, 0xcf, 0xef,
	 0xd0, 0xf0,    0,    0,    0,    0,    0,    0,
	 0xca, 0xea, 0xcc, 0xec,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0, 0xc5, 0xe5,    0,    0, 0xa5, 0xb5,    0,
	    0, 0xa3, 0xb3, 0xd1, 0xf1,    0,    0, 0xd2,
	 0xf2,    0,    0,    0,    0,    0,    0,    0,
	 0xd5, 0xf5,    0,    0, 0xc0, 0xe0,    0,    0,
	 0xd8, 0xf8, 0xa6, 0xb6,    0,    0, 0xaa, 0xba,
	 0xa9, 0xb9, 0xde, 0xfe, 0xab, 0xbb,    0,    0,
	    0,    0,    0,    0,    0,    0, 0xd9, 0xf9,
	 0xdb, 0xfb,    0,    0,    0,    0,    0,    0,
	    0, 0xac, 0xbc, 0xaf, 0xbf, 0xae, 0xbe,    0,
	    0,    0,    0,    0,    0,    0,    0, 0xb7,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0xa2, 0xff,    0, 0xb2,    0, 0xbd,    0,    0,
	 0xa0,    0,    0, 0xa3, 0xa4,    0,    0, 0xa7,
	 0xa8,    0,    0,    0,    0, 0xad,    0,    0,
	 0xb0,    0, 0xb2, 0xb3, 0xb4, 0xb5,    0, 0xb7,
	 0xb8,    0,    0,    0,    0, 0xbd,    0,    0,
	 0xc0, 0xc1, 0xc2,    0, 0xc4,    0,    0, 0xc7,
	 0xc8, 0xc9, 0xca, 0xcb, 0xcc, 0xcd, 0xce, 0xcf,
	    0, 0xd1, 0xd2, 0xd3, 0xd4,    0, 0xd6, 0xd7,
	    0, 0xd9, 0xda, 0xdb, 0xdc,    0,    0, 0xdf,
	 0xe0, 0xe1, 0xe2,    0, 0xe4,    0,    0, 0xe7,
	 0xe8, 0xe9, 0xea, 0xeb, 0xec, 0xed, 0xee, 0xef,
	    0, 0xf1, 0xf2, 0xf3, 0xf4,    0, 0xf6, 0xf7,
	    0, 0xf9, 0xfa, 0xfb, 0xfc,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0xc6, 0xe6, 0xc5, 0xe5,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0, 0xd8, 0xf8, 0xab, 0xbb,
	 0xd5, 0xf5,    0,    0, 0xa6, 0xb6, 0xa1, 0xb1,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0xa9, 0xb9,    0,    0, 0xac, 0xbc,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0, 0xde, 0xfe, 0xaa, 0xba,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0, 0xdd, 0xfd,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0, 0xaf, 0xbf,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0xa2, 0xff,    0,    0,    0,    0,    0,    0,
	 0xa0,    0,    0,    0, 0xa4,    0,    0, 0xa7,
	 0xa8,    0,    0,    0,    0, 0xad,    0, 0xaf,
	    0, 0xc1, 0xc2, 0xc3, 0xc4, 0xc5, 0xc6,    0,
	    0, 0xc9,    0, 0xcb,    0, 0xcd, 0xce,    0,
	    0,    0,    0,    0, 0xd4, 0xd5, 0xd6, 0xd7,
	 0xd8,    0, 0xda, 0xdb, 0xdc,    0,    0, 0xdf,
	    0, 0xe1, 0xe2, 0xe3, 0xe4, 0xe5, 0xe6,    0,
	    0, 0xe9,    0, 0xeb,    0, 0xed, 0xee,    0,
	    0,    0,    0,    0, 0xf4, 0xf5, 0xf6, 0xf7,
	 0xf8,    0, 0xfa, 0xfb, 0xfc,    0,    0,    0,
	 0xd0, 0xf0, 0xaa, 0xba,    0,    0, 0xcc, 0xec,
	 0xca, 0xea,    0,    0,    0,    0,    0,    0,
	    0,    0, 0xab, 0xbb,    0,    0,    0,    0,
	 0xa5, 0xb5, 0xcf, 0xef,    0,    0, 0xc7, 0xe7,
	    0,    0,    0,    0,    0,    0, 0xd3, 0xf3,
	 0xa2,    0,    0, 0xa6, 0xb6,    0,    0,    0,
	    0,    0,    0,    0,    0, 0xd1, 0xf1,    0,
	    0,    0, 0xbd, 0xbf, 0xd2, 0xf2,    0,    0,
	    0,    0,    0,    0,    0,    0, 0xa3, 0xb3,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0xa9, 0xb9,    0,    0,    0,    0, 0xac, 0xbc,
	 0xdd, 0xfd, 0xde, 0xfe,    0,    0,    0,    0,
	    0,    0, 0xd9, 0xf9,    0,    0,    0,    0,
	    0,    0,    0,    0,    0, 0xae, 0xbe,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0, 0xff,    0, 0xb2,    0,    0,    0,    0,
	 0xa0,    0,    0,    0,    0,    0,    0, 0xfd,
	    0,    0,    0,    0,    0, 0xad,    0,    0,
	    0, 0xa1, 0xa2, 0xa3, 0xa4, 0xa5, 0xa6, 0xa7,
	 0xa8, 0xa9, 0xaa, 0xab, 0xac,    0, 0xae, 0xaf,
	    0, 0xf1, 0xf2, 0xf3, 0xf4, 0xf5, 0xf6, 0xf7,
	 0xf8, 0xf9, 0xfa, 0xfb, 0xfc,    0, 0xfe, 0xff,
	    0,    0,    0,    0,    0,    0, 0xf0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0xa0,    0,    0,    0, 0xa4,    0,    0,    0,
	    0,    0,    0,    0,    0, 0xad,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0, 0xac,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0, 0xbb,    0,    0,    0, 0xbf,
	    0, 0xc1, 0xc2, 0xc3, 0xc4, 0xc5, 0xc6, 0xc7,
	 0xc8, 0xc9, 0xca, 0xcb, 0xcc, 0xcd, 0xce, 0xcf,
	 0xd0, 0xd1, 0xd2, 0xd3, 0xd4, 0xd5, 0xd6, 0xd7,
	 0xd8, 0xd9, 0xda,    0,    0,    0,    0,    0,
	 0xf0, 0xf1, 0xf2,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0xa0,    0,    0, 0xa3,    0,    0, 0xa6, 0xa7,
	 0xa8, 0xa9,    0, 0xab, 0xac, 0xad,    0,    0,
	 0xb0, 0xb1, 0xb2, 0xb3,    0,    0,    0, 0xb7,
	    0,    0,    0, 0xbb,    0, 0xbd,    0,    0,
	    0,    0,    0,    0, 0xb4, 0xb5, 0xb6,    0,
	 0xb8, 0xb9, 0xba,    0, 0xbc,    0, 0xbe, 0xbf,
	 0xd0, 0xd1,    0, 0xd3, 0xd4, 0xd5, 0xd6, 0xd7,
	 0xd8, 0xd9, 0xda, 0xdb, 0xdc, 0xdd, 0xde, 0xdf,
	 0xf0, 0xf1, 0xf2, 0xf3, 0xf4, 0xf5, 0xf6, 0xf7,
	 0xf8, 0xf9, 0xfa, 0xfb, 0xfc, 0xfd, 0xfe,    0,
	    0,    0,    0,    0,    0, 0xaf,    0,    0,
	 0xa1, 0xa2,    0,    0,    0,    0,    0,    0,
	 0xa0,    0, 0xa2, 0xa3, 0xa4, 0xa5, 0xa6, 0xa7,
	 0xa8, 0xa9,    0, 0xab, 0xac, 0xad, 0xae, 0xaf,
	 0xb0, 0xb1, 0xb2, 0xb3, 0xb4, 0xb5, 0xb6, 0xb7,
	 0xb8, 0xb9,    0, 0xbb, 0xbc, 0xbd, 0xbe,    0,
	    0,    0,    0,    0,    0,    0,    0, 0xdf,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0, 0xd1, 0xd2, 0xd3, 0xd4, 0xd5, 0xd6, 0xd7,
	 0xd8, 0xd9, 0xda, 0xdb, 0xdc,    0,    0, 0xdf,
	    0, 0xf1, 0xf2, 0xf3, 0xf4, 0xf5, 0xf6, 0xf7,
	 0xf8, 0xf9, 0xfa, 0xfb, 0xfc,    0,    0, 0xff,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0, 0xd0, 0xf0,
	 0xdd, 0xfd,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0, 0xde, 0xfe,
	 0x9a,    0,    0,    0,    0,    0,    0,    0,
	    0, 0xbf,    0,    0,    0,    0,    0,    0,
	 0x9c,    0, 0x9d,    0,    0,    0,    0, 0x9e,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0, 0x9f,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0, 0xb3,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0xe1, 0xe2, 0xf7, 0xe7, 0xe4, 0xe5, 0xf6, 0xfa,
	 0xe9, 0xea, 0xeb, 0xec, 0xed, 0xee, 0xef, 0xf0,
	 0xf2, 0xf3, 0xf4, 0xf5, 0xe6, 0xe8, 0xe3, 0xfe,
	 0xfb, 0xfd, 0xff, 0xf9, 0xf8, 0xfc, 0xe0, 0xf1,
	 0xc1, 0xc2, 0xd7, 0xc7, 0xc4, 0xc5, 0xd6, 0xda,
	 0xc9, 0xca, 0xcb, 0xcc, 0xcd, 0xce, 0xcf, 0xd0,
	 0xd2, 0xd3, 0xd4, 0xd5, 0xc6, 0xc8, 0xc3, 0xde,
	 0xdb, 0xdd, 0xdf, 0xd9, 0xd8, 0xdc, 0xc0, 0xd1,
	    0, 0xa3,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0, 0x95, 0x96,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0x97,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0, 0x98, 0x99,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0x93, 0x9b,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0x80,    0, 0x81,    0,    0,    0,    0,    0,
	    0,    0,    0,    0, 0x82,    0,    0,    0,
	 0x83,    0,    0,    0, 0x84,    0,    0,    0,
	 0x85,    0,    0,    0, 0x86,    0,    0,    0,
	    0,    0,    0,    0, 0x87,    0,    0,    0,
	    0,    0,    0,    0, 0x88,    0,    0,    0,
	    0,    0,    0,    0, 0x89,    0,    0,    0,
	    0,    0,    0,    0, 0x8a,    0,    0,    0,
	 0xa0, 0xa1, 0xa2, 0xa4, 0xa5, 0xa6, 0xa7, 0xa8,
	 0xa9, 0xaa, 0xab, 0xac, 0xad, 0xae, 0xaf, 0xb0,
	 0xb1, 0xb2, 0xb4, 0xb5, 0xb6, 0xb7, 0xb8, 0xb9,
	 0xba, 0xbb, 0xbc, 0xbd, 0xbe,    0,    0,    0,
	 0x8b,    0,    0,    0, 0x8c,    0,    0,    0,
	 0x8d,    0,    0,    0, 0x8e,    0,    0,    0,
	 0x8f, 0x90, 0x91, 0x92,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0x94,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0, 0xa4,    0, 0xa6, 0xa7,
	    0, 0xbf,    0, 0xab, 0xac, 0xad, 0xae,    0,
	 0xb0, 0xb1, 0xb2,    0,    0,    0, 0xb6, 0xb7,
	    0,    0,    0, 0xbb,    0,    0,    0,    0,
	    0,    0, 0x83, 0x81,    0,    0,    0,    0,
	    0,    0, 0x90, 0x80,    0,    0,    0,    0,
	    0,    0, 0x8c, 0x8a,    0,    0, 0x8e, 0x8d,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0, 0xb5, 0xa5,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0, 0xa2, 0xa1,
	    0, 0xb3,    0,    0, 0xb4,    0, 0xb6, 0xb7,
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0, 0xa3,    0,    0, 0xa4,    0, 0xa6, 0xa7,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0xbd, 0xad,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0,    0,    0,    0,    0,
	 0xa0, 0xa1, 0xa2,    0, 0xa5,    0,    0, 0xa8,
	 0xa9, 0xaa, 0xab, 0xac,    0, 0xae, 0xaf, 0xb0,
	 0xb1, 0xb2,    0, 0xb5,    0,    0, 0xb8, 0xb9,
	 0xba, 0xbb, 0xbc,    0, 0xbe,    0,    0,    0,
	    0, 0xa1, 0xa2, 0xa3, 0xa4, 0xa5, 0xa6, 0xa7,
	 0xa8, 0xa9, 0xaa, 0xab, 0xac, 0xad, 0xae, 0xaf,
	 0xd0, 0xd1, 0xd2, 0xd3, 0xd4, 0xd5, 0xd6, 0xd7,
	 0xd8, 0xd9, 0xda,    0,    0,    0,    0, 0xdf,
	 0xf0, 0xf1, 0xf2, 0xf3, 0xf4, 0xf5, 0xf6, 0xf7,
	 0xf8, 0xf9, 0xfa, 0xfb,    0,    0,    0,    0,
};

#endif /* WANT_DATA */

#define __LOCALE_DATA_Cuplow_TBL_LEN		504

#ifdef WANT_DATA


static const unsigned char __LOCALE_DATA_Cuplow_data[504] = {
	    0,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0, 0x7b, 0x7d,    0,    0,
	    0, 0x7b,    0, 0x7f, 0x7f,    0,    0,    0,
	    0,    0, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
	 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
	 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,    0,    0,
	 0xf0, 0xfe,    0, 0xfe,    0,    0,    0,    0,
	    0,    0, 0xf0,    0, 0xf0, 0xf0, 0xf0, 0xf0,
	 0xf0,    0,    0,    0,    0,    0,    0,    0,
	    0, 0xff, 0xff, 0xe7,    0, 0xf1,    0,    0,
	 0xf0,    0, 0xf0,    0,    0,    0,    0, 0xf0,
	    0,    0, 0xff, 0xff, 0xf1,    0,    0,    0,
	 0xf0,    0, 0xf0,    0, 0xe7, 0xff, 0xff, 0xf0,
	 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0,
	    0,    0, 0xf0,    0, 0xf0,    0,    0,    0,
	    0,    0, 0xf0,    0, 0xf0,    0,    0, 0xa0,
	    0,    0,    0,    0,    0,    0,    0, 0xa0,
	 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0,    0,
	    0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0,    0,
	 0xf0, 0xf0, 0xf0, 0xf0, 0xf0,    0, 0xf0, 0xf0,
	    0, 0xff, 0xff,    0, 0xff, 0xff, 0xfb,    0,
	 0xf0,    0, 0xf0, 0xfb, 0xf0,    0,    0, 0xb0,
	 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,    0, 0xfe,
	 0xf0, 0xfe, 0xf0, 0xfc, 0xf0, 0xff, 0xff, 0xfc,
	 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0xb0,
	    0,    0,    0,    0,    0,    0, 0xfe,    0,
	 0xfe,    0,    0,    0,    0,    0,    0,    0,
	    0,    0,    0,    0, 0xfc,    0,    0,    0,
	 0xfc,    0,    0,    0, 0xff, 0xff, 0xbf,    0,
	 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0xbf,
	    0, 0xff, 0xff, 0xf0,    0,    0, 0xfe,    0,
	 0xfe,    0, 0xf0,    0, 0xfe,    0, 0xfe, 0xf0,
	    0,    0, 0xf9, 0xf0, 0xfc,    0,    0,    0,
	 0xfc, 0xf9, 0xf0,    0, 0xff, 0xff, 0xbf, 0xf0,
	    0, 0xf0,    0, 0xf0,    0, 0xf0, 0xf0,    0,
	    0, 0xf0, 0xf0, 0xf0, 0xf0,    0, 0xf0, 0xf0,
	    0, 0xf0,    0,    0,    0,    0, 0xf0,    0,
	    0, 0x40, 0xf0, 0xf0, 0xf0,    0,    0, 0xf0,
	    0, 0x90, 0xf0, 0xf0, 0xf0,    0,    0, 0xf0,
	 0xe0, 0xe0, 0xe0,    0, 0xe0, 0xe0, 0xe0, 0xe0,
	    0, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0,    0,
	    0, 0xf0, 0xf0, 0xf0, 0xf0,    0, 0xf0,    0,
	    0, 0xf0, 0xf0, 0xf0, 0xf0, 0xfe, 0xf0, 0xfe,
	    0, 0xb0, 0xb0, 0xb0, 0xb0, 0xb0, 0xb0, 0xb0,
	 0xb0, 0xb0, 0xb0, 0xb0, 0xb0,    0, 0xb0, 0xb0,
	    0,    0,    0,    0,    0,    0, 0xda,    0,
	 0xdb, 0xdb, 0xdb,    0, 0xc0,    0, 0xc1, 0xc1,
	    0, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0,
	 0xe0, 0xe0,    0, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0,
	 0xe0, 0xe0, 0xe0, 0xe0, 0xda, 0xdb, 0xdb, 0xdb,
	 0xe0, 0xe0, 0xe1, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0,
	 0xe0, 0xe0, 0xe0, 0xe0, 0xc0, 0xc1, 0xc1,    0,
	 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0x74, 0xe0,    0,
	 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0x4c, 0xe0,    0,
	    0,    0,    0, 0x10,    0,    0,    0,    0,
	 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
	 0x10,  0x2,    0,  0x2,    0,    0,    0,    0,
	    0,    0,  0x2,    0,  0x2,  0x1,  0x1,    0,
	 0x10,    0,    0,    0,    0,    0,    0,    0,
	    0,  0x1,  0x1, 0x10,    0, 0x10,    0,    0,
	    0,    0,    0, 0x10,    0, 0x10,    0,    0,
	    0,    0,    0, 0x10, 0x10,    0, 0x10, 0x10,
	    0,    0,    0,    0,    0, 0x10,    0,    0,
};

#endif /* WANT_DATA */

#define __LOCALE_DATA_Cctype_TBL_LEN		420

#ifdef WANT_DATA


static const unsigned char __LOCALE_DATA_Cctype_data[420] = {
	 0xee, 0xee, 0xee, 0xee,
	  0x6, 0x61, 0x66, 0x66,
	 0x66, 0x66, 0x66, 0x66,
	 0x66, 0x24, 0x24, 0x24,
	 0x24, 0x24, 0x24, 0x24,
	 0x24, 0x24, 0x24,  0x6,
	    0,    0,    0,    0,
	 0x44, 0x26, 0x66, 0x66,
	 0x66, 0x64, 0x44, 0x44,
	 0x62, 0x66, 0x66, 0x66,
	 0x60, 0x62, 0x22, 0x22,
	 0x46, 0x42, 0x46, 0x66,
	 0x64, 0x64, 0x66, 0x46,
	 0x66, 0x24, 0x22, 0x66,
	 0x62, 0x62, 0x42, 0x22,
	 0x44, 0x44, 0x44, 0x44,
	 0x22, 0x22, 0x22, 0x22,
	  0x6, 0x26, 0x66, 0x66,
	 0x66, 0x60,    0,    0,
	 0x60, 0x66, 0x66, 0x66,
	 0x66, 0x66, 0x26, 0x66,
	 0x66, 0x60, 0x66, 0x66,
	 0x66, 0x66, 0x11, 0x61,
	  0x6,    0,    0,    0,
	 0x11, 0x11, 0x11, 0x11,
	 0x11,  0x1, 0x60,  0x6,
	 0xee, 0x26, 0x66, 0x66,
	 0x66, 0x64, 0xe4, 0xee,
	 0x6e, 0x66, 0x66, 0x66,
	 0x66, 0x62, 0xe2, 0x4e,
	 0x66, 0x61, 0x66, 0x66,
	 0x11, 0x11, 0x11, 0x22,
	 0x22, 0x22, 0x22, 0x62,
	 0x44, 0x44, 0x44, 0x64,
	 0x44, 0x44, 0x44, 0x24,
	 0x46, 0x44, 0x44, 0x64,
	 0x44, 0x44, 0x64, 0x44,
	 0x26, 0x22, 0x22, 0x62,
	 0x22, 0x22, 0x62, 0x22,
	 0x22, 0x22, 0x22, 0x12,
	 0x62, 0x62, 0x66, 0x26,
	 0x46, 0x62, 0x24, 0x64,
	 0x64, 0x24, 0x64, 0x46,
	 0x24, 0x24, 0x24, 0x46,
	 0x22, 0x42, 0x42, 0x22,
	 0x66, 0x66, 0x66, 0x64,
	 0x62, 0x61, 0x66, 0x66,
	 0x66, 0x66, 0x24, 0x66,
	 0x62, 0x61, 0x24, 0x64,
	 0x46, 0x42, 0x66, 0x64,
	 0x62, 0x64, 0x64, 0x42,
	 0x66, 0x24, 0x64, 0x66,
	 0x22, 0x62, 0x24, 0x24,
	 0x46, 0x46, 0x46, 0x64,
	 0x46, 0x44, 0x64, 0x44,
	 0x26, 0x26, 0x26, 0x62,
	 0x26, 0x22, 0x62, 0x22,
	 0x46, 0x66,  0x6, 0x64,
	 0x46, 0x44, 0x64, 0x40,
	 0x26, 0x66, 0x26, 0x62,
	 0x26, 0x22, 0x62, 0x20,
	 0x44,  0x4, 0x44, 0x44,
	 0x40, 0x44, 0x44, 0x64,
	 0x22,  0x2, 0x22, 0x22,
	 0x20, 0x22, 0x22, 0x62,
	 0x46, 0x41, 0x46, 0x64,
	 0x46, 0x44, 0x64, 0x64,
	 0x26, 0x22, 0x42, 0x22,
	 0x46, 0x44, 0x44, 0x44,
	 0x26, 0x22, 0x22, 0x22,
	  0x6,    0,  0x6,    0,
	    0,    0, 0x66,    0,
	    0, 0x60,    0, 0x60,
	 0x10, 0x11, 0x11, 0x11,
	 0x11,  0x1,    0,    0,
	 0x11, 0x61, 0x66, 0x66,
	 0x66,  0x6,    0,    0,
	 0x66, 0x66,    0, 0x66,
	 0x66, 0x60, 0x66, 0x60,
	 0x44, 0x64, 0x64, 0x44,
	 0x41, 0x44, 0x44, 0x44,
	 0x44, 0x40, 0x44, 0x44,
	 0x44, 0x44, 0x22, 0x22,
	 0x21, 0x22, 0x22, 0x22,
	 0x22, 0x22, 0x22,  0x2,
	  0x6, 0x66, 0x66, 0x66,
	 0x66, 0x66, 0x66,  0x6,
	    0,    0,    0, 0x60,
	 0x66, 0x26, 0x66, 0x66,
	 0x66, 0x46, 0x66, 0x66,
	 0x22, 0x46, 0x66, 0x66,
	 0x60, 0x62, 0x24,  0x4,
	 0x64, 0x66, 0x66, 0x66,
	 0x60, 0x60,    0,    0,
	 0x20, 0x24, 0x26, 0x66,
	    0, 0x60, 0x66,  0x6,
	 0x66, 0x46, 0x40, 0x66,
	 0x60, 0x60,    0, 0x60,
	 0x66, 0x26, 0x62, 0x22,
	 0x66, 0x46, 0x64, 0x44,
	 0x66, 0x66, 0x46, 0x66,
	 0x11, 0x11, 0x11, 0x61,
	 0x11,  0x1,    0, 0x60,
	 0x11, 0x11, 0x11, 0x16,
	 0x11, 0x66,    0,    0,
};

#endif /* WANT_DATA */

#define __LOCALE_DATA_Cc2wc_TBL_LEN		1760

#ifdef WANT_DATA


static const unsigned short __LOCALE_DATA_Cc2wc_data[1760] = {
	   0x80,   0x81,   0x82,   0x83,   0x84,   0x85,   0x86,   0x87,
	   0x88,   0x89,   0x8a,   0x8b,   0x8c,   0x8d,   0x8e,   0x8f,
	   0x90,   0x91,   0x92,   0x93,   0x94,   0x95,   0x96,   0x97,
	   0x98,   0x99,   0x9a,   0x9b,   0x9c,   0x9d,   0x9e,   0x9f,
	   0xa0,      0,  0x587,  0x589,   0x29,   0x28,   0xbb,   0xab,
	 0x2014,   0x2e,  0x55d,   0x2c,   0x2d,  0x58a, 0x2026,  0x55c,
	  0x55b,  0x55e,  0x531,  0x561,  0x532,  0x562,  0x533,  0x563,
	  0x534,  0x564,  0x535,  0x565,  0x536,  0x566,  0x537,  0x567,
	  0x538,  0x568,  0x539,  0x569,  0x53a,  0x56a,  0x53b,  0x56b,
	  0x53c,  0x56c,  0x53d,  0x56d,  0x53e,  0x56e,  0x53f,  0x56f,
	  0x540,  0x570,  0x541,  0x571,  0x542,  0x572,  0x543,  0x573,
	  0x544,  0x574,  0x545,  0x575,  0x546,  0x576,  0x547,  0x577,
	  0x548,  0x578,  0x549,  0x579,  0x54a,  0x57a,  0x54b,  0x57b,
	  0x54c,  0x57c,  0x54d,  0x57d,  0x54e,  0x57e,  0x54f,  0x57f,
	  0x550,  0x580,  0x551,  0x581,  0x552,  0x582,  0x553,  0x583,
	  0x554,  0x584,  0x555,  0x585,  0x556,  0x586,  0x55a,      0,
	      0,      0,      0,      0,      0,      0,      0,      0,
	  0x402,  0x403, 0x201a,  0x453, 0x201e, 0x2026, 0x2020, 0x2021,
	 0x20ac, 0x2030,  0x409, 0x2039,  0x40a,  0x40c,  0x40b,  0x40f,
	  0x452, 0x2018, 0x2019, 0x201c, 0x201d, 0x2022, 0x2013, 0x2014,
	      0, 0x2122,  0x459, 0x203a,  0x45a,  0x45c,  0x45b,  0x45f,
	   0xa0,  0x40e,  0x45e,  0x408,   0xa4,  0x490,   0xa6,   0xa7,
	  0x401,   0xa9,  0x404,   0xab,   0xac,   0xad,   0xae,  0x407,
	   0xb0,   0xb1,  0x406,  0x456,  0x491,   0xb5,   0xb6,   0xb7,
	  0x451, 0x2116,  0x454,   0xbb,  0x458,  0x405,  0x455,  0x457,
	  0x410,  0x411,  0x412,  0x413,  0x414,  0x415,  0x416,  0x417,
	  0x418,  0x419,  0x41a,  0x41b,  0x41c,  0x41d,  0x41e,  0x41f,
	  0x420,  0x421,  0x422,  0x423,  0x424,  0x425,  0x426,  0x427,
	  0x428,  0x429,  0x42a,  0x42b,  0x42c,  0x42d,  0x42e,  0x42f,
	  0x430,  0x431,  0x432,  0x433,  0x434,  0x435,  0x436,  0x437,
	  0x438,  0x439,  0x43a,  0x43b,  0x43c,  0x43d,  0x43e,  0x43f,
	  0x440,  0x441,  0x442,  0x443,  0x444,  0x445,  0x446,  0x447,
	  0x448,  0x449,  0x44a,  0x44b,  0x44c,  0x44d,  0x44e,  0x44f,
	 0x20ac,      0, 0x201a,  0x192, 0x201e, 0x2026, 0x2020, 0x2021,
	  0x2c6, 0x2030,      0, 0x2039,      0,      0,      0,      0,
	      0, 0x2018, 0x2019, 0x201c, 0x201d, 0x2022, 0x2013, 0x2014,
	  0x2dc, 0x2122,      0, 0x203a,      0,      0,      0,      0,
	   0xa0,   0xa1,   0xa2,   0xa3, 0x20aa,   0xa5,   0xa6,   0xa7,
	   0xa8,   0xa9,   0xd7,   0xab,   0xac,   0xad,   0xae,   0xaf,
	   0xb0,   0xb1,   0xb2,   0xb3,   0xb4,   0xb5,   0xb6,   0xb7,
	   0xb8,   0xb9,   0xf7,   0xbb,   0xbc,   0xbd,   0xbe,   0xbf,
	  0x5b0,  0x5b1,  0x5b2,  0x5b3,  0x5b4,  0x5b5,  0x5b6,  0x5b7,
	  0x5b8,  0x5b9,      0,  0x5bb,  0x5bc,  0x5bd,  0x5be,  0x5bf,
	  0x5c0,  0x5c1,  0x5c2,  0x5c3,  0x5f0,  0x5f1,  0x5f2,  0x5f3,
	  0x5f4,      0,      0,      0,      0,      0,      0,      0,
	  0x5d0,  0x5d1,  0x5d2,  0x5d3,  0x5d4,  0x5d5,  0x5d6,  0x5d7,
	  0x5d8,  0x5d9,  0x5da,  0x5db,  0x5dc,  0x5dd,  0x5de,  0x5df,
	  0x5e0,  0x5e1,  0x5e2,  0x5e3,  0x5e4,  0x5e5,  0x5e6,  0x5e7,
	  0x5e8,  0x5e9,  0x5ea,      0,      0, 0x200e, 0x200f,      0,
	   0x80,   0x81, 0x201a,  0x192, 0x201e, 0x2026, 0x2020, 0x2021,
	  0x2c6, 0x2030,  0x160, 0x2039,  0x152,   0x8d,   0x8e,   0x8f,
	   0x90, 0x2018, 0x2019, 0x201c, 0x201d, 0x2022, 0x2013, 0x2014,
	  0x2dc, 0x2122,  0x161, 0x203a,  0x153,   0x9d,   0x9e,  0x178,
	   0xa0,   0xa1,   0xa2,   0xa3,   0xa4,   0xa5,   0xa6,   0xa7,
	   0xa8,   0xa9,   0xaa,   0xab,   0xac,   0xad,   0xae,   0xaf,
	   0xb8,   0xb9,   0xba,   0xbb,   0xbc,   0xbd,   0xbe,   0xbf,
	 0x10d0, 0x10d1, 0x10d2, 0x10d3, 0x10d4, 0x10d5, 0x10d6, 0x10f1,
	 0x10d7, 0x10d8, 0x10d9, 0x10da, 0x10db, 0x10dc, 0x10f2, 0x10dd,
	 0x10de, 0x10df, 0x10e0, 0x10e1, 0x10e2, 0x10f3, 0x10e3, 0x10e4,
	 0x10e5, 0x10e6, 0x10e7, 0x10e8, 0x10e9, 0x10ea, 0x10eb, 0x10ec,
	 0x10ed, 0x10ee, 0x10f4, 0x10ef, 0x10f0, 0x10f5,   0xe6,   0xe7,
	   0xe8,   0xe9,   0xea,   0xeb,   0xec,   0xed,   0xee,   0xef,
	   0xf0,   0xf1,   0xf2,   0xf3,   0xf4,   0xf5,   0xf6,   0xf7,
	   0xf8,   0xf9,   0xfa,   0xfb,   0xfc,   0xfd,   0xfe,   0xff,
	   0xc0,   0xc1,   0xc2,   0xc3,   0xc4,   0xc5,   0xc6,   0xc7,
	   0xc8,   0xc9,   0xca,   0xcb,   0xcc,   0xcd,   0xce,   0xcf,
	   0xd0,   0xd1,   0xd2,   0xd3,   0xd4,   0xd5,   0xd6,   0xd7,
	   0xd8,   0xd9,   0xda,   0xdb,   0xdc,   0xdd,   0xde,   0xdf,
	   0xe0,   0xe1,   0xe2,   0xe3,   0xe4,   0xe5,   0xe6,   0xe7,
	   0xa0,  0x104,  0x112,  0x122,  0x12a,  0x128,  0x136,   0xa7,
	  0x13b,  0x110,  0x160,  0x166,  0x17d,   0xad,  0x16a,  0x14a,
	   0xb0,  0x105,  0x113,  0x123,  0x12b,  0x129,  0x137,   0xb7,
	  0x13c,  0x111,  0x161,  0x167,  0x17e, 0x2015,  0x16b,  0x14b,
	  0x100,   0xc1,   0xc2,   0xc3,   0xc4,   0xc5,   0xc6,  0x12e,
	  0x10c,   0xc9,  0x118,   0xcb,  0x116,   0xcd,   0xce,   0xcf,
	   0xd0,  0x145,  0x14c,   0xd3,   0xd4,   0xd5,   0xd6,  0x168,
	   0xd8,  0x172,   0xda,   0xdb,   0xdc,   0xdd,   0xde,   0xdf,
	  0x101,   0xe1,   0xe2,   0xe3,   0xe4,   0xe5,   0xe6,  0x12f,
	  0x10d,   0xe9,  0x119,   0xeb,  0x117,   0xed,   0xee,   0xef,
	   0xf0,  0x146,  0x14d,   0xf3,   0xf4,   0xf5,   0xf6,  0x169,
	   0xf8,  0x173,   0xfa,   0xfb,   0xfc,   0xfd,   0xfe,  0x138,
	   0xa0, 0x201d,   0xa2,   0xa3,   0xa4, 0x201e,   0xa6,   0xa7,
	   0xd8,   0xa9,  0x156,   0xab,   0xac,   0xad,   0xae,   0xc6,
	   0xb0,   0xb1,   0xb2,   0xb3, 0x201c,   0xb5,   0xb6,   0xb7,
	   0xf8,   0xb9,  0x157,   0xbb,   0xbc,   0xbd,   0xbe,   0xe6,
	  0x104,  0x12e,  0x100,  0x106,   0xc4,   0xc5,  0x118,  0x112,
	  0x10c,   0xc9,  0x179,  0x116,  0x122,  0x136,  0x12a,  0x13b,
	  0x160,  0x143,  0x145,   0xd3,  0x14c,   0xd5,   0xd6,   0xd7,
	  0x172,  0x141,  0x15a,  0x16a,   0xdc,  0x17b,  0x17d,   0xdf,
	  0x105,  0x12f,  0x101,  0x107,   0xe4,   0xe5,  0x119,  0x113,
	  0x10d,   0xe9,  0x17a,  0x117,  0x123,  0x137,  0x12b,  0x13c,
	  0x161,  0x144,  0x146,   0xf3,  0x14d,   0xf5,   0xf6,   0xf7,
	  0x173,  0x142,  0x15b,  0x16b,   0xfc,  0x17c,  0x17e, 0x2019,
	   0xa0, 0x1e02, 0x1e03,   0xa3,  0x10a,  0x10b, 0x1e0a,   0xa7,
	 0x1e80,   0xa9, 0x1e82, 0x1e0b, 0x1ef2,   0xad,   0xae,  0x178,
	 0x1e1e, 0x1e1f,  0x120,  0x121, 0x1e40, 0x1e41,   0xb6, 0x1e56,
	 0x1e81, 0x1e57, 0x1e83, 0x1e60, 0x1ef3, 0x1e84, 0x1e85, 0x1e61,
	  0x174,   0xd1,   0xd2,   0xd3,   0xd4,   0xd5,   0xd6, 0x1e6a,
	   0xd8,   0xd9,   0xda,   0xdb,   0xdc,   0xdd,  0x176,   0xdf,
	  0x175,   0xf1,   0xf2,   0xf3,   0xf4,   0xf5,   0xf6, 0x1e6b,
	   0xf8,   0xf9,   0xfa,   0xfb,   0xfc,   0xfd,  0x177,   0xff,
	   0xa0,   0xa1,   0xa2,   0xa3, 0x20ac,   0xa5,  0x160,   0xa7,
	  0x161,   0xa9,   0xaa,   0xab,   0xac,   0xad,   0xae,   0xaf,
	   0xb0,   0xb1,   0xb2,   0xb3,  0x17d,   0xb5,   0xb6,   0xb7,
	  0x17e,   0xb9,   0xba,   0xbb,  0x152,  0x153,  0x178,   0xbf,
	   0xa0,  0x104,  0x105,  0x141, 0x20ac,   0xab,  0x160,   0xa7,
	  0x161,   0xa9,  0x218, 0x201e,  0x179,   0xad,  0x17a,  0x17b,
	   0xb0,   0xb1,  0x10c,  0x142,  0x17d, 0x201d,   0xb6,   0xb7,
	  0x17e,  0x10d,  0x219,   0xbb,  0x152,  0x153,  0x178,  0x17c,
	   0xc0,   0xc1,   0xc2,  0x102,   0xc4,  0x106,   0xc6,   0xc7,
	  0x110,  0x143,   0xd2,   0xd3,   0xd4,  0x150,   0xd6,  0x15a,
	  0x170,   0xd9,   0xda,   0xdb,   0xdc,  0x118,  0x21a,   0xdf,
	   0xe0,   0xe1,   0xe2,  0x103,   0xe4,  0x107,   0xe6,   0xe7,
	  0x111,  0x144,   0xf2,   0xf3,   0xf4,  0x151,   0xf6,  0x15b,
	  0x171,   0xf9,   0xfa,   0xfb,   0xfc,  0x119,  0x21b,   0xff,
	   0xa0,  0x104,  0x2d8,  0x141,   0xa4,  0x13d,  0x15a,   0xa7,
	   0xa8,  0x160,  0x15e,  0x164,  0x179,   0xad,  0x17d,  0x17b,
	   0xb0,  0x105,  0x2db,  0x142,   0xb4,  0x13e,  0x15b,  0x2c7,
	   0xb8,  0x161,  0x15f,  0x165,  0x17a,  0x2dd,  0x17e,  0x17c,
	  0x154,   0xc1,   0xc2,  0x102,   0xc4,  0x139,  0x106,   0xc7,
	  0x10c,   0xc9,  0x118,   0xcb,  0x11a,   0xcd,   0xce,  0x10e,
	  0x110,  0x143,  0x147,   0xd3,   0xd4,  0x150,   0xd6,   0xd7,
	  0x158,  0x16e,   0xda,  0x170,   0xdc,   0xdd,  0x162,   0xdf,
	  0x155,   0xe1,   0xe2,  0x103,   0xe4,  0x13a,  0x107,   0xe7,
	  0x10d,   0xe9,  0x119,   0xeb,  0x11b,   0xed,   0xee,  0x10f,
	  0x111,  0x144,  0x148,   0xf3,   0xf4,  0x151,   0xf6,   0xf7,
	  0x159,  0x16f,   0xfa,  0x171,   0xfc,   0xfd,  0x163,  0x2d9,
	   0xa0,  0x126,  0x2d8,   0xa3,   0xa4,      0,  0x124,   0xa7,
	   0xa8,  0x130,  0x15e,  0x11e,  0x134,   0xad,      0,  0x17b,
	   0xb0,  0x127,   0xb2,   0xb3,   0xb4,   0xb5,  0x125,   0xb7,
	   0xb8,  0x131,  0x15f,  0x11f,  0x135,   0xbd,      0,  0x17c,
	   0xc0,   0xc1,   0xc2,      0,   0xc4,  0x10a,  0x108,   0xc7,
	      0,   0xd1,   0xd2,   0xd3,   0xd4,  0x120,   0xd6,   0xd7,
	  0x11c,   0xd9,   0xda,   0xdb,   0xdc,  0x16c,  0x15c,   0xdf,
	   0xe0,   0xe1,   0xe2,      0,   0xe4,  0x10b,  0x109,   0xe7,
	      0,   0xf1,   0xf2,   0xf3,   0xf4,  0x121,   0xf6,   0xf7,
	  0x11d,   0xf9,   0xfa,   0xfb,   0xfc,  0x16d,  0x15d,  0x2d9,
	   0xa0,  0x104,  0x138,  0x156,   0xa4,  0x128,  0x13b,   0xa7,
	   0xa8,  0x160,  0x112,  0x122,  0x166,   0xad,  0x17d,   0xaf,
	   0xb0,  0x105,  0x2db,  0x157,   0xb4,  0x129,  0x13c,  0x2c7,
	   0xb8,  0x161,  0x113,  0x123,  0x167,  0x14a,  0x17e,  0x14b,
	  0x10c,   0xc9,  0x118,   0xcb,  0x116,   0xcd,   0xce,  0x12a,
	  0x110,  0x145,  0x14c,  0x136,   0xd4,   0xd5,   0xd6,   0xd7,
	   0xd8,  0x172,   0xda,   0xdb,   0xdc,  0x168,  0x16a,   0xdf,
	  0x10d,   0xe9,  0x119,   0xeb,  0x117,   0xed,   0xee,  0x12b,
	  0x111,  0x146,  0x14d,  0x137,   0xf4,   0xf5,   0xf6,   0xf7,
	   0xf8,  0x173,   0xfa,   0xfb,   0xfc,  0x169,  0x16b,  0x2d9,
	   0xa0,  0x401,  0x402,  0x403,  0x404,  0x405,  0x406,  0x407,
	  0x408,  0x409,  0x40a,  0x40b,  0x40c,   0xad,  0x40e,  0x40f,
	 0x2116,  0x451,  0x452,  0x453,  0x454,  0x455,  0x456,  0x457,
	  0x458,  0x459,  0x45a,  0x45b,  0x45c,   0xa7,  0x45e,  0x45f,
	   0xa0,      0,      0,      0,   0xa4,      0,      0,      0,
	      0,      0,      0,      0,  0x60c,   0xad,      0,      0,
	      0,      0,      0,  0x61b,      0,      0,      0,  0x61f,
	      0,  0x621,  0x622,  0x623,  0x624,  0x625,  0x626,  0x627,
	  0x628,  0x629,  0x62a,  0x62b,  0x62c,  0x62d,  0x62e,  0x62f,
	  0x630,  0x631,  0x632,  0x633,  0x634,  0x635,  0x636,  0x637,
	  0x638,  0x639,  0x63a,      0,      0,      0,      0,      0,
	  0x640,  0x641,  0x642,  0x643,  0x644,  0x645,  0x646,  0x647,
	  0x648,  0x649,  0x64a,  0x64b,  0x64c,  0x64d,  0x64e,  0x64f,
	  0x650,  0x651,  0x652,      0,      0,      0,      0,      0,
	   0xa0, 0x2018, 0x2019,   0xa3,      0,      0,   0xa6,   0xa7,
	   0xa8,   0xa9,      0,   0xab,   0xac,   0xad,      0, 0x2015,
	   0xb0,   0xb1,   0xb2,   0xb3,  0x384,  0x385,  0x386,   0xb7,
	  0x388,  0x389,  0x38a,   0xbb,  0x38c,   0xbd,  0x38e,  0x38f,
	  0x390,  0x391,  0x392,  0x393,  0x394,  0x395,  0x396,  0x397,
	  0x398,  0x399,  0x39a,  0x39b,  0x39c,  0x39d,  0x39e,  0x39f,
	  0x3a0,  0x3a1,      0,  0x3a3,  0x3a4,  0x3a5,  0x3a6,  0x3a7,
	  0x3a8,  0x3a9,  0x3aa,  0x3ab,  0x3ac,  0x3ad,  0x3ae,  0x3af,
	  0x3b0,  0x3b1,  0x3b2,  0x3b3,  0x3b4,  0x3b5,  0x3b6,  0x3b7,
	  0x3b8,  0x3b9,  0x3ba,  0x3bb,  0x3bc,  0x3bd,  0x3be,  0x3bf,
	  0x3c0,  0x3c1,  0x3c2,  0x3c3,  0x3c4,  0x3c5,  0x3c6,  0x3c7,
	  0x3c8,  0x3c9,  0x3ca,  0x3cb,  0x3cc,  0x3cd,  0x3ce,      0,
	   0xa0,      0,   0xa2,   0xa3,   0xa4,   0xa5,   0xa6,   0xa7,
	   0xb8,   0xb9,   0xf7,   0xbb,   0xbc,   0xbd,   0xbe,      0,
	      0,      0,      0,      0,      0,      0,      0, 0x2017,
	  0x11e,   0xd1,   0xd2,   0xd3,   0xd4,   0xd5,   0xd6,   0xd7,
	   0xd8,   0xd9,   0xda,   0xdb,   0xdc,  0x130,  0x15e,   0xdf,
	  0x11f,   0xf1,   0xf2,   0xf3,   0xf4,   0xf5,   0xf6,   0xf7,
	   0xf8,   0xf9,   0xfa,   0xfb,   0xfc,  0x131,  0x15f,   0xff,
	 0x2500, 0x2502, 0x250c, 0x2510, 0x2514, 0x2518, 0x251c, 0x2524,
	 0x252c, 0x2534, 0x253c, 0x2580, 0x2584, 0x2588, 0x258c, 0x2590,
	 0x2591, 0x2592, 0x2593, 0x2320, 0x25a0, 0x2219, 0x221a, 0x2248,
	 0x2264, 0x2265,   0xa0, 0x2321,   0xb0,   0xb2,   0xb7,   0xf7,
	 0x2550, 0x2551, 0x2552,  0x451, 0x2553, 0x2554, 0x2555, 0x2556,
	 0x2557, 0x2558, 0x2559, 0x255a, 0x255b, 0x255c, 0x255d, 0x255e,
	 0x255f, 0x2560, 0x2561,  0x401, 0x2562, 0x2563, 0x2564, 0x2565,
	 0x2566, 0x2567, 0x2568, 0x2569, 0x256a, 0x256b, 0x256c,   0xa9,
	  0x44e,  0x430,  0x431,  0x446,  0x434,  0x435,  0x444,  0x433,
	  0x445,  0x438,  0x439,  0x43a,  0x43b,  0x43c,  0x43d,  0x43e,
	  0x43f,  0x44f,  0x440,  0x441,  0x442,  0x443,  0x436,  0x432,
	  0x44c,  0x44b,  0x437,  0x448,  0x44d,  0x449,  0x447,  0x44a,
	  0x42e,  0x410,  0x411,  0x426,  0x414,  0x415,  0x424,  0x413,
	  0x425,  0x418,  0x419,  0x41a,  0x41b,  0x41c,  0x41d,  0x41e,
	  0x41f,  0x42f,  0x420,  0x421,  0x422,  0x423,  0x416,  0x412,
	  0x42c,  0x42b,  0x417,  0x428,  0x42d,  0x429,  0x427,  0x42a,
	  0x49b,  0x493, 0x201a,  0x492, 0x201e, 0x2026, 0x2020, 0x2021,
	      0, 0x2030,  0x4b3, 0x2039,  0x4b2,  0x4b7,  0x4b6,      0,
	  0x49a, 0x2018, 0x2019, 0x201c, 0x201d, 0x2022, 0x2013, 0x2014,
	      0, 0x2122,      0, 0x203a,      0,      0,      0,      0,
	      0,  0x4ef,  0x4ee,  0x451,   0xa4,  0x4e3,   0xa6,   0xa7,
	      0,      0,      0,   0xab,   0xac,   0xad,   0xae,      0,
	   0xb0,   0xb1,   0xb2,  0x401,      0,  0x4e2,   0xb6,   0xb7,
	      0, 0x2116,      0,   0xbb,      0,      0,      0,   0xa9,
	 0x2550, 0x2551, 0x2552,  0x451,  0x454, 0x2554,  0x456,  0x457,
	 0x2557, 0x2558, 0x2559, 0x255a, 0x255b,  0x491, 0x255d, 0x255e,
	 0x255f, 0x2560, 0x2561,  0x401,  0x404, 0x2563,  0x406,  0x407,
	 0x2566, 0x2567, 0x2568, 0x2569, 0x256a,  0x490, 0x256c,   0xa9,
	      0,  0xe01,  0xe02,  0xe03,  0xe04,  0xe05,  0xe06,  0xe07,
	  0xe08,  0xe09,  0xe0a,  0xe0b,  0xe0c,  0xe0d,  0xe0e,  0xe0f,
	  0xe10,  0xe11,  0xe12,  0xe13,  0xe14,  0xe15,  0xe16,  0xe17,
	  0xe18,  0xe19,  0xe1a,  0xe1b,  0xe1c,  0xe1d,  0xe1e,  0xe1f,
	  0xe20,  0xe21,  0xe22,  0xe23,  0xe24,  0xe25,  0xe26,  0xe27,
	  0xe28,  0xe29,  0xe2a,  0xe2b,  0xe2c,  0xe2d,  0xe2e,  0xe2f,
	  0xe30,  0xe31,  0xe32,  0xe33,  0xe34,  0xe35,  0xe36,  0xe37,
	  0xe38,  0xe39,  0xe3a,      0,      0,      0,      0,  0xe3f,
	  0xe40,  0xe41,  0xe42,  0xe43,  0xe44,  0xe45,  0xe46,  0xe47,
	  0xe48,  0xe49,  0xe4a,  0xe4b,  0xe4c,  0xe4d,  0xe4e,  0xe4f,
	  0xe50,  0xe51,  0xe52,  0xe53,  0xe54,  0xe55,  0xe56,  0xe57,
	  0xe58,  0xe59,  0xe5a,  0xe5b,      0,      0,      0,      0,
};

#endif /* WANT_DATA */


#define __LOCALE_DATA_NUM_CODESETS		23
#define __LOCALE_DATA_CODESET_LIST \
	"\x18\x22\x28\x2f\x36\x42\x4d\x59" \
	"\x65\x71\x7d\x89\x94\x9f\xaa\xb5" \
	"\xc0\xcb\xd6\xe1\xe8\xef\xf6" \
	"\0" \
	"ARMSCII-8\0" \
	"ASCII\0" \
	"CP1251\0" \
	"CP1255\0" \
	"GEORGIAN-PS\0" \
	"ISO-8859-1\0" \
	"ISO-8859-10\0" \
	"ISO-8859-13\0" \
	"ISO-8859-14\0" \
	"ISO-8859-15\0" \
	"ISO-8859-16\0" \
	"ISO-8859-2\0" \
	"ISO-8859-3\0" \
	"ISO-8859-4\0" \
	"ISO-8859-5\0" \
	"ISO-8859-6\0" \
	"ISO-8859-7\0" \
	"ISO-8859-8\0" \
	"ISO-8859-9\0" \
	"KOI8-R\0" \
	"KOI8-T\0" \
	"KOI8-U\0" \
	"TIS-620\0"

#define __CTYPE_HAS_CODESET_ARMSCII_8
#define __CTYPE_HAS_CODESET_ASCII
#define __CTYPE_HAS_CODESET_CP1251
#define __CTYPE_HAS_CODESET_CP1255
#define __CTYPE_HAS_CODESET_GEORGIAN_PS
#define __CTYPE_HAS_CODESET_ISO_8859_1
#define __CTYPE_HAS_CODESET_ISO_8859_10
#define __CTYPE_HAS_CODESET_ISO_8859_13
#define __CTYPE_HAS_CODESET_ISO_8859_14
#define __CTYPE_HAS_CODESET_ISO_8859_15
#define __CTYPE_HAS_CODESET_ISO_8859_16
#define __CTYPE_HAS_CODESET_ISO_8859_2
#define __CTYPE_HAS_CODESET_ISO_8859_3
#define __CTYPE_HAS_CODESET_ISO_8859_4
#define __CTYPE_HAS_CODESET_ISO_8859_5
#define __CTYPE_HAS_CODESET_ISO_8859_6
#define __CTYPE_HAS_CODESET_ISO_8859_7
#define __CTYPE_HAS_CODESET_ISO_8859_8
#define __CTYPE_HAS_CODESET_ISO_8859_9
#define __CTYPE_HAS_CODESET_KOI8_R
#define __CTYPE_HAS_CODESET_KOI8_T
#define __CTYPE_HAS_CODESET_KOI8_U
#define __CTYPE_HAS_CODESET_TIS_620
#define __CTYPE_HAS_CODESET_UTF_8
